#ifndef _MEDIUM_LINK_H_
#define _MEDIUM_LINK_H_

#include <vector>

using namespace std;

#include "global.h"
#include "simengine.h"
#include "aloha.h"


class Medium_Link
{
public:

  Medium_Link();
  Medium_Link(long,double,double,long); //population, channel speed bps
                           //interarrival rate, avg. packet lngth (bytes)
  ~Medium_Link();
  void Transmission_Starts(long,long); //bytes
  void Transmission_Over(long,long);  //bytes
  static void S_Transmission_Over(void*, long,long);  //bytes
  inline double Successes() {return succes;};
  inline double Accum_Load() {return a_load;};

private:
  long station_population;
  long radio;
  short collision;
  vector< struct Aloha * > stations;
  double channel_speed;
  double succes;
  double a_load;
};

#endif







