#include "exp_packet_gen.h"

Exp_Pack_Gen::Exp_Pack_Gen()
{
  cout<<"Cannot use default constructor for Exp_Pack_Gen!"<<endl;
  exit(-1);
}

Exp_Pack_Gen::~Exp_Pack_Gen() 
{
}

Exp_Pack_Gen::Exp_Pack_Gen(struct Aloha * p_m, 
	     double p_a, long p_p):
  my_aloha(p_m),
  arr_rate(p_a),
  mean_pkt_size(p_p)
{
  new DSEvent(this,Rangen.Exponential(arr_rate),S_Generate_New_Packet);
}

void Exp_Pack_Gen::S_Generate_New_Packet(void * p_a)
{
  ((Exp_Pack_Gen*)p_a)->Generate_New_Packet();
}

void Exp_Pack_Gen::Generate_New_Packet()
{
  my_aloha->Packet_to_transmit((long)floor(Rangen.Exponential(
			  1.0/mean_pkt_size)));
  new DSEvent(this,Rangen.Exponential(arr_rate),S_Generate_New_Packet);
}
